/* Custom fonts */

@font-face {
  font-family: 'Chillax-Medium';
  src: url('https://nicholascorniaorpheus.github.io/sorti-madrigalistiche/assets/fonts/Chillax-Medium.woff2') format('woff2');
  font-weight: 500;
  font-display: swap;
  font-style: normal;
}

@font-face {
  font-family: 'Chillax-Semibold';
  src: url('https://nicholascorniaorpheus.github.io/sorti-madrigalistiche/assets/fonts/Chillax-Semibold.woff2') format('woff2');
  font-weight: 600;
  font-display: swap;
  font-style: normal;
}


/* Main colors */
:root {
  /* basic foreground and background color of body */
  --md-primary-fg-color: #5E605E;
  --md-primary-bg-color: #f9fbfa;

}

body, .md-typeset {
    font-size: 1.0rem; /* Adjust this value to make it larger */
    line-height: 1.6;
}

/* Standard Markdown Headings */
.md-typeset h1, .md-typeset h2, .md-typeset h3 {
    color: #2B423C; 
    font-family: "Chillax-Medium"
}

/* Standard Material Buttons */
.md-typeset .md-button:hover {
    background-color: #2B423C; /* Your 'Agent' color */
    border-color: #2B423C;
    color: #ffffff;
    transition: background-color 0.3s, border-color 0.3s;
}

.md-typeset .md-button:active {
    background-color: #2B423C; /* Your 'Agent' color */
    border-color: #2B423C;
    color: #2B423C;
    transition: background-color 0.3s, border-color 0.3s;
}



/* Custom Admonition styling to match your theme palettes */
.md-typeset .admonition {
    border-left: .2rem solid var(--md-primary-fg-color);
    background-color: var(--md-default-bg-color);
}

:root {
  /* Using 'Agent' color for info/note admonitions */
  --md-admonition-fg-color--note: #E4EADF;
  --md-admonition-bg-color--note: #E4EADF; /* 10% transparency */

  /* Using 'Manifestation' color for warnings/abstracts */
  --md-admonition-fg-color--abstract: #E4EADF;
  --md-admonition-bg-color--abstract: #E4EADF;
}


/* Ensure the title also scales or stays slightly distinct */
.md-typeset .admonition-title, 
.md-typeset summary {
    font-size: 1.0rem;
    font-weight: 700;
}

/* Applying the border and title background */
.md-typeset .admonition.note, 
.md-typeset details.note {
  border-color: var(--md-admonition-fg-color--note);
}
.md-typeset .note > .admonition-title, 
.md-typeset .note > summary {
  background-color: var(--md-admonition-bg-color--note);
  border-left: .2rem solid var(--md-admonition-fg-color--note);
}

.md-typeset .admonition.abstract, 
.md-typeset details.abstract {
  border-color: var(--md-admonition-fg-color--abstract);
}
.md-typeset .abstract > .admonition-title, 
.md-typeset .abstract > summary {
  background-color: var(--md-admonition-bg-color--abstract);
  border-left: .2rem solid var(--md-admonition-fg-color--abstract);
}
